Call us: +86 0755-82563503

Currency: $ US Dollar

Items : %s%s

Coaxial Cables

Compare Image Name Manufacturer Pricing(USD) Quantity Weight(Kg) Size(LxWxH) Datasheet Factory Lead Time Mount Packaging Published Series Part Status Moisture Sensitivity Level (MSL) Connector Type Termination Max Operating Temperature Min Operating Temperature Color Gender Length RoHS Status Lead Free Radiation Hardening Package / Case REACH SVHC Impedance Resistance Operating Temperature Shielding Connector Type A Connector Type B Feature Polarity Style Cable Length Wire/Cable Type Max Voltage Rating (AC) Frequency (Max) 1st Connector 2nd Connector Cable Type Gender Type A Gender Type B
CASMA-MMCX-50 CASMA-MMCX-50 Multi-Tech Systems Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks 2015 Active Not Applicable Gray Female to Male 6.000 152.40mm ROHS3 Compliant SMA SMA to MMCX SMA Female Jack MMCX Male Plug, Right Angle
RF179-77RP1-SING-0300 RF179-77RP1-SING-0300 Samtec 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1536 RFC-1536 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1636 RFC-1636 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-2211 RFC-2211 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-2353 RFC-2353 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
MXHP32HP3000 MXHP32HP3000 Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download Cable Obsolete 1 (Unlimited) 85°C -40°C 11.811 300.00mm RoHS Compliant 50Ohms -40°C~85°C 6GHz
CBLRF4R CBLRF4R Murata Electronics 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 Bulk Obsolete Not Applicable 1.2192m RoHS Compliant SMA Female
CBA-SMAM-SMAMRP30 CBA-SMAM-SMAMRP30 RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks Active 1 (Unlimited) Black Female to Male 118.1 3.0m 9.8' RoHS Compliant 50Ohm Shielded RP-SMA to SMA 2.7GHz RP-SMA Male Plug, Female Socket SMA Male Plug RG-58
5259 5259 Olympic Wire and Cable 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
6273(RG223/U) 6273(RG223/U) Olympic Wire and Cable 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
1026-60 1026-60 E-Z-Hook 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 2 Weeks 2006 Active Not Applicable Black Male to Male 60.0 1.5m 5.0' RoHS Compliant Lead Free BNC, Plug BNC, Plug BNC to BNC BNC Male Plug BNC Male Plug RG-58C
095-725-114-050 095-725-114-050 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks Active 1 (Unlimited) Female to Female 5.000 127.00mm ROHS3 Compliant 50Ohms SMPM to SMPM 18GHz SMPM Female Plug SMPM Female Plug, Right Angle 0.085 Semi-Rigid Cable
2121-DKF-0012 2121-DKF-0012 Cinch Connectivity Solutions Semflex 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 10 Weeks 2012 DKT Active 1 (Unlimited) 200°C -65°C Grey Male to Male 12.00 304.80mm RoHS Compliant SMA Unknown 50Ohms 50Ohm -65°C~200°C Plug, SMA Plug, SMA Shielded SMA to SMA 304.8mm Coaxial 26GHz SMA Male Plug SMA Male Plug HP 190S Male Male
73-6361-6 73-6361-6 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
415-0086-050 415-0086-050 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
73-6363-10 73-6363-10 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RN-UFL-SMA6 RN-UFL-SMA6 Microchip Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks 2009 Active 1 (Unlimited) SMA Black 152.4mm ROHS3 Compliant Lead Free Module No SVHC SMA Plug, SMA 152mm Coaxial Male Male
1300-00041 1300-00041 Laird - Wireless & Thermal Systems 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 14 Weeks Cable 2009 Active 1 (Unlimited) Female to Male 5.000 127.00mm RoHS Compliant Lead Free Shielded Male Pin, SMA Coaxial, Plug, Socket Shielded U.FL (UMCC) to RP-SMA RP-SMA Female Jack, Male Pin U.FL (UMCC) Plug, Female Socket, Right Angle RG-178
415-0203-M1.0 415-0203-M1.0 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Active 1 (Unlimited) Black Female to Male 39.4 1.0m 3.3' RoHS Compliant SMA to MMCX SMA Female Jack MMCX Male Plug RG-174
RCA-11-96 RCA-11-96 Remington Industries 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download Active 1 (Unlimited) Male to Male 96.0 2.4m 8.0' RoHS Compliant 78Ohms -55°C~165°C Shielded TRS to TRS TRS Male Plug TRS Male Plug Twinaxial
RCA-11-12 RCA-11-12 Remington Industries 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download Active 1 (Unlimited) Male to Male 12.00 304.80mm RoHS Compliant 78Ohms -55°C~165°C Shielded TRS to TRS TRS Male Plug TRS Male Plug Twinaxial
RCA-10-36 RCA-10-36 Remington Industries 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download Active 1 (Unlimited) Male to Male RoHS Compliant 78Ohms -55°C~165°C Shielded TRB to TRB TRB Male Plug TRB Male Plug Twinaxial
RCA-10-12 RCA-10-12 Remington Industries 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download Active 1 (Unlimited) Male to Male 12.00 304.80mm RoHS Compliant 78Ohms -55°C~165°C Shielded TRB to TRB TRB Male Plug TRB Male Plug Twinaxial
UPCY-60-75 UPCY-60-75 Cinch Connectivity Solutions Trompeter 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Active 1 (Unlimited) BNC Crimp Male to Male 60.0 1.5m 5.0' RoHS Compliant No 75Ohms BNC to BNC 1.524m BNC Male Plug BNC Male Plug
7732A877500 7732A877500 Belden Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
415-0041-060 415-0041-060 Cinch Connectivity Solutions Johnson 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 8 Weeks Bulk 2002 Active 1 (Unlimited) White Male to Male 60.0 1.5m 5.0' RoHS Compliant Contains Lead No SMA 50Ohm Plug, SMA Plug, SMA Shielded Normal SMA to SMA 1.524m Coaxial 335V 12.4GHz SMA Male Plug, Right Angle SMA Male Plug, Right Angle RG-58 Male
095-850-216-300 095-850-216-300 Amphenol RF 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 10 Weeks Active 1 (Unlimited) Black Female to Male 300.0 7.6m 25.0' RoHS Compliant 75Ohms Shielded BNC to HD-BNC 12GHz BNC Female Jack HD-BNC Male Plug Belden 4694R
UPCMWX-24-75 UPCMWX-24-75 Cinch Connectivity Solutions Trompeter 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 9 Weeks Active 1 (Unlimited) Violet Male to Male 24.00 609.60mm RoHS Compliant 75Ohms BNC to PL11C BNC Male Plug PL11C Patch Plug RG-59
RF174-03SP1-403030-0100 RF174-03SP1-403030-0100 Samtec 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
Settings Need Help?
Top FAQ's

How can I quickly find answers to my questions?

Please visit the Help & Support area of our website to find information regarding ordering, shipping, delivery and more.

What is my Order Status?

Registered users can track orders from their account dropdown, or click here. *Order Status may take 12 hours to update after initial order is placed.

How do I return product?

Users can begin the returns process by starting with our Returns Page.

How do I find price and availability?

Quotes can be created by registered users in myLists.

How do I create a 'HK JDW' Account?

Visit the Registration Page and enter the required information. You will receive an email confirmation when your registration is complete.

United Kingdom/GBP Summary
Fast Shipping Fast Delivery

Orders are typically delivered to United Kingdom within 48 hours depending on location.

Free Shipping Free Shipping

Free delivery to United Kingdom on orders of £33 or more. A delivery charge of £12 will be billed on all orders less than £33.

Incoterms Incoterms

DDP (Duty and customs paid by HK JDW)

Payment Options Payment Types

Credit account for qualified institutions and businesses

Payment in Advance by Wire Transfer

Visa Mastercard American Express PayPal Apple Pay Google Pay

Marketplace Marketplace Product

More Products From Fully Authorized Partners

Average Time to Ship 1-3 Days, extra ship charges may apply. Please see product page, cart, and checkout for actual ship speed.

Incoterms: CPT (Duty, customs, and applicable VAT/Tax due at time of delivery)

For more information visit Help & Support